import pytest

from tests.server import create_http_server_process
from tests.server import create_https_server_process


@pytest.fixture
def http_server(request):
    server = create_http_server_process(request.param)
    server.start()
    yield
    server.terminate()


@pytest.fixture
def https_server(request):
    server = create_https_server_process(request.param)
    server.start()
    yield
    server.terminate()
